LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XReference Interface Referencepublished

must be implemented by anyone who holds the adapter on the client side. More...

`import"XReference.idl";`

Inheritance diagram for XReference:

## Public Member Functions
void | dispose ()
| removes all references to the adapter. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

must be implemented by anyone who holds the adapter on the client side.

See also
  XWeak for description of concepts.

## Member Function Documentation

## ◆ dispose()

void dispose | ( |  | ) |

removes all references to the adapter.

This method is called when the adapted object dies. The implementation of the client-side's weak reference must include removal of all references to the adapter. Otherwise, the adapted object will be destroyed, but the adapter will be alive.

The documentation for this interface was generated from the following file:

- com/sun/star/uno/XReference.idl